org.apache.http.util

## Class CharsetUtils

- java.lang.Object
- - org.apache.http.util.CharsetUtils

-     public class CharsetUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharsetUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Charset` | `get(String name)`
    `static Charset` | `lookup(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharsetUtils

          public CharsetUtils()

  - ### Method Detail

    - #### lookup

          public static Charset lookup(String name)

    - #### get

          public static Charset get(String name)
                             throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.